import { requests } from './index';

const PREFIX = 'api-marketing/ai/';
//活动分页查询-统计
export const pageStatistics = params => requests(PREFIX + 'page-statistics', params, true);

//活动分页查询
export const page = params => requests(PREFIX + 'page', params, true);

//计费中心--获取账号余额, 今日消费
export const rechargeCenter = params => requests('/api-marketing/recharge-center', params);

//查看话术模板列表
export const templateList = params => requests(PREFIX + 'get-template-list', params, true);

//营销活动场景/客户意向等级/重拨状态
export const aiDictList = params => requests('/api-marketing/ai-dict-list', params, true, false, 'get');

//新建ai活动
export const initActivity = params => requests(PREFIX + '/init-activity', params, true);

//终止活动计划
export const stopActivityPlan = params => requests(PREFIX + 'stop-activity-plan', params, true, false, 'get');

//重新开启活动计划
export const startActivityPlan = params => requests(PREFIX + 'start-activity-plan', params, true, false, 'get');

//查看计划详情
export const getActivityDetail = params => requests(PREFIX + 'get-activity-detail', params, true, false, 'get');

export const tempPageStatistics = params => requests('/api-marketing/template/page-statistics', params, true, false, 'post');

export const tempDetail = params => requests('/api-marketing/template/query', params, true, false, 'get');

//节日分类信息
export const listAllHolidays = params => requests('/api-marketing/list-all-holidays', params, true, false, 'get');

//获取活动计划预估人数
export const getMemberCount = params => requests(PREFIX + '/get-member-count', params, true, false, 'get');

// 获取提交并执行日志、提交未执行日志
export const getLogs = params => requests('/api-marketing/page-activity-event-exec-log', params, true, false, 'get');

// 获取AI数据统计详情
export const getCustomDetail = params => requests('/api-marketing/statistics/page-data-statistics-custom-detail', params, true, false, 'get');

//标签库-标签值列表
export const pageMemberTagDetail = params => requests('/gic-member-tag-web/memberTag/pageMemberTagDetail', params, true, false, 'get');

//标签库-标签层级
export const platformHomePageV2 = params => requests('/gic-member-tag-web/memberTag/platformHomePageByAI', params, true, false, 'get');

// 获取AI数据统计活动信息
export const getActivityInfo = params => requests('/api-marketing/statistics/get-activity-info', params, true, false, 'get');

// 获取短信模板内容
export const getSmsTemplateEcho = params => requests('/api-marketing/get-sms-template-echo', params, true);

// 是否可以新建
export const aiAccountCheck = params => requests('/api-marketing/ai/ai-account-check', params, true, false, 'get');
// 获取AI数据统计外呼数据
export const getOutBound = params => requests('/api-marketing/statistics/out-bound', params, true, false, 'get');
export const getIntentionLabel = params => requests('/api-marketing/statistics/intention-label', params, true, false, 'get');
export const getBillAnalysis = params => requests('/api-marketing/statistics/bill-quality-analysis', params, true, false, 'get');
export const getCallDuration = params => requests('/api-marketing/statistics/call-duration', params, true, false, 'get');
export const getComparativeData = params => requests('/api-marketing/statistics/comparative-statistics', params, true, false, 'get');

// 人群规则回显
export const getMemberCrowd = params => requests('/api-plug/query-member-crowd-new', params, true);

// 活动转化数据
export const getPlanStatistics = params => requests('/api-marketing/statistics/plan-statistics', params, true, false, 'get');

//ai营销单价
export const getAiCalcSingle = params => requests(PREFIX + '/ai-calc-single', params, true, false, 'get');

// ai外呼门店维度分页列表接口
export const aiStoreOutboundRank = (params, urlData) => requests('/api-marketing/statistics/ai-store-outbound-rank', params, true, false, 'post', urlData);

// ai外呼门店维度无归属
export const aiStoreOutboundRankNoBelong = params => requests('/api-marketing/statistics/ai-store-outbound-rank-no-belong', params, true);
//
// ai外呼门店维度统计
export const aiStoreOutboundStatistics = params => requests('/api-marketing/statistics/ai-store-outbound-statistics', params, true);
// ai外呼门店维度导出
export const exportAiStoreOutbound = '/api-marketing/statistics/export-ai-store-outbound';

// ai外呼分组维度分页列表
export const aiStoreGroupOutboundRank = (params, urlData) => requests('/api-marketing/statistics/ai-store-group-outbound-rank', params, true, false, 'post', urlData);

// ai外呼分组维度统计
export const aiStoreGroupOutboundStatistics = params => requests('/api-marketing/statistics/ai-store-group-outbound-Statistics', params, true);

// ai外呼分组维度导出
export const exportAiStoreGroupOutbound = '/api-marketing/statistics/export-ai-store-group-outbound';

// 活动转换门店维度分页列表接口
export const aiStoreTransfer = (params, urlData) => requests('/api-marketing/statistics/ai-store-transfer', params, true, false, 'post', urlData);

// 活动转换门店维度无归属
export const aiStoreTransferNoBelong = params => requests('/api-marketing/statistics/ai-store-transfer-no-belong', params, true);

// 活动转换门店维度统计接口
export const aiStoreTransferStatistics = params => requests('/api-marketing/statistics/ai-store-transfer-statistics', params, true);

// 活动转换门店维度导出
export const exportAiStoreTransfer = '/api-marketing/statistics/export-ai-store-transfer';

// 活动转换分组维度分页列表接口
export const aiStoreGroupTransfer = (params, urlData) => requests('/api-marketing/statistics/ai-store-group-transfer', params, true, false, 'post', urlData);

// 活动转换分组维度统计
export const aiStoreGroupTransferStatistics = params => requests('/api-marketing/statistics/ai-store-group-transfer-Statistics', params, true);

// 活动转换分组维度导出
export const exportAiStoreGroupTransfer = '/api-marketing/statistics/export-ai-store-group-transfer';

// AI外呼门店分组数据
export const aiOutboundStoreGroupSplit = params => requests('/api-marketing/statistics/ai-outbound-store-group-split', params, true, false, 'get');

// 活动转换门店分组数据
export const aiTransformStoreGroupSplit = params => requests('/api-marketing/statistics/ai-transform-store-group-split', params, true, false, 'get');
